const path = require('path');
const nodeExternals = require('webpack-node-externals');
const CopyWebpackPlugin = require('copy-webpack-plugin');
const webpack = require('webpack');

const {
	env: {
		CY_ENV = 'DEV',
	},
} = process;
module.exports = {
	entry: './index.js',
	output: {
		filename: 'index.js',
		path: path.resolve(__dirname, 'dist'),
	},
	node: {
		__dirname: false,
		__filename: false,
	},
	mode: 'production',
	target: 'node',
	externals: [nodeExternals()],
	module: {
		rules: [
			{
				test: /\.js$/,
				exclude: /node_modules/,
				use: {
					loader: 'babel-loader',
				},
			},
		],
	},
	plugins: [
		new CopyWebpackPlugin([ { from: 'public', to: 'public' }]),
		new webpack.DefinePlugin({
			'process.env.CY_ENV': JSON.stringify(CY_ENV),
		}),
	],
};